<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Homework-buttons</title>
	<style>
	.btn-wrapper{
		height: 60vh;
		display: flex;
		align-items: center;
		justify-content: space-around;
	}
	.btn{
		border: none;
		border-radius: 20px;
		min-width: 120px;
		padding: 7px;
		color: #fff;
		font-size: 14px;
		background-color: #33333a;
		cursor: pointer;
	}

	.btn.active {
		background-color: #14b9d5;
	}

	.btn:active,
	.btn:focus{
		outline: none;
	}
	</style>
</head>
<body>
	<div class="btn-wrapper">
    	<button class="btn" data-key="13">Enter</button>
		<button class="btn" data-key="83">S</button>
		<button class="btn" data-key="69">E</button>
		<button class="btn" data-key="79">O</button>
		<button class="btn" data-key="78">N</button>
		<button class="btn" data-key="76">L</button>
		<button class="btn" data-key="90">Z</button>
	</div>
	<script>

		let wrapper = document.querySelector('.btn-wrapper');

		if(wrapper) {
			document.addEventListener('keydown', function(event) {
				const keyCode = event.charCode || event.keyCode || event.which;


				for(let child of wrapper.children) {
					if (parseInt(child.dataset.key) === keyCode) {
						console.log(child.dataset);

						const active = wrapper.querySelector('.btn.active');

						if(active) {
							active.classList.remove('active');
						}

						child.classList.add('active');
						break;
					}
				}

			}, false);
		}
	</script>
</body>
</html>